MCP Tools Reference: slidesmcp.googleapis.com

工具:read_presentation

讀取 Google 簡報的 JSON 表示法。

對應於 REST API 中的 presentations.get

下列範例示範如何使用 curl 叫用 read_presentation MCP 工具。

Curl 要求
curl --location 'https://slidesmcp.googleapis.com/mcp' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "read_presentation",
    "arguments": {
      // provide these details according to the tool MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'
                

輸入內容的結構定義

要求朗讀簡報。

ReadPresentationRequest

JSON 表示法
{
  "presentationId": string
}
欄位
presentationId

string

必填。要讀取內容的簡報 ID。

輸出內容的結構定義

包含簡報 JSON 表示法的回應。

ReadPresentationResponse

JSON 表示法
{
  "content": string
}
欄位
content

string

Google 簡報的 JSON 表示法。

工具註解

破壞性提示:❌ | 等冪提示:✅ | 唯讀提示:✅ | 開放世界提示:✅

授權範圍

需要下列其中一種 OAuth 範圍:

  • https://www.googleapis.com/auth/drive.readonly
  • https://www.googleapis.com/auth/presentations.readonly
  • https://www.googleapis.com/auth/drive
  • https://www.googleapis.com/auth/drive.file
  • https://www.googleapis.com/auth/presentations